Bug 147384 - installer segfaults.
installer segfaults.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 15:00 EST by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-24 05:55:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2005-02-07 15:00:57 EST
When trying to upgrade a PPC machine from FC3 to 20050206 rawhide, the
installer segfaults after "Preparing RPM transaction".

bt
#0  0x0fe44d20 in pthread_mutex_lock () from /lib/libpthread.so.0
#1  0x0fc62790 in fputs () from /lib/libc.so.6
#2  0x0f69fccc in rpmlogSetFile () from /usr/lib/librpmio-4.3.so
#3  0x0f69fd80 in rpmlog () from /usr/lib/librpmio-4.3.so
#4  0x0f8339cc in rpmtsAddEraseElement () from /usr/lib/librpm-4.3.so
#5  0x0f83417c in rpmtsOrder () from /usr/lib/librpm-4.3.so
#6  0x0f8ae920 in rpmte_Wrap () from
/usr/lib/python2.4/site-packages/rpmmodule.so
#7  0x0ff14398 in PyCFunction_Call () from /usr/lib/libpython2.4.so.1.0
#8  0x0ff583fc in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#9  0x0ff59b78 in PyEval_EvalCodeEx () from /usr/lib/libpython2.4.so.1.0
#10 0x0fefec34 in PyFunction_SetClosure () from
/usr/lib/libpython2.4.so.1.0
#11 0x0fee450c in PyObject_Call () from /usr/lib/libpython2.4.so.1.0
#12 0x0ff53810 in PyEval_CallObjectWithKeywords () from
/usr/lib/libpython2.4.so.1.0
#13 0x0ff4a62c in _PyUnicodeUCS4_IsAlpha () from
/usr/lib/libpython2.4.so.1.0
#14 0x0ff14398 in PyCFunction_Call () from /usr/lib/libpython2.4.so.1.0
#15 0x0ff583fc in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#16 0x0ff591e8 in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#17 0x0ff591e8 in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#18 0x0ff59b78 in PyEval_EvalCodeEx () from /usr/lib/libpython2.4.so.1.0
#19 0x0ff58964 in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#20 0x0ff591e8 in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#21 0x0ff59b78 in PyEval_EvalCodeEx () from /usr/lib/libpython2.4.so.1.0
#22 0x0fefec34 in PyFunction_SetClosure () from
/usr/lib/libpython2.4.so.1.0
#23 0x0fee450c in PyObject_Call () from /usr/lib/libpython2.4.so.1.0
#24 0x0feee78c in PyMethod_New () from /usr/lib/libpython2.4.so.1.0
#25 0x0fee450c in PyObject_Call () from /usr/lib/libpython2.4.so.1.0
#26 0x0ff53810 in PyEval_CallObjectWithKeywords () from
/usr/lib/libpython2.4.so.1.0
#27 0x0fee44bc in PyObject_CallObject () from /usr/lib/libpython2.4.so.1.0
#28 0x0eb47dac in ?? () from
/usr/lib/python2.4/site-packages/gtk-2.0/gobject.so
(gdb)ireg
r0             0xfc62790        264644496
r1             0x7fffb930       2147465520
r2             0x3001fe20       805436960
r3             0x944d4f86       2488094598
r4             0xfe47790        266631056
r5             0x111a2378       286925688
r6             0xfefefeff       4278124287
r7             0x7f7f7f7f       2139062143
r8             0x808080 8421504
r9             0x0      0
r10            0x80808080       2155905152
r11            0x8000   32768
r12            0x80808080       2155905152
r13            0x10019b28       268540712
r14            0x685    1669
r15            0x0      0
r16            0x0      0
r17            0x120ab110       302690576
r18            0x4000000        67108864
r19            0x12777900       309819648
r20            0x300a9700       806000384
r21            0x5f07f40        99647296
r22            0x5000600        83887616
r23            0x4      4
r24            0x4      4
r25            0x7fffb9a0       2147465632
r26            0x111a2378       286925688
r27            0xffffffff       4294967295
r28            0xf6d5b1c        258824988
r29            0x9      9
r30            0xfd4bfc4        265600964
r31            0x944d4f86       2488094598
pc             0xfe44d20        266620192
ps             0xd032   53298
cr             0x22224482       572671106
lr             0xfc62790        264644496
ctr            0xfe44f98        266620824
xer            0x20000000       536870912
fpscr          0x82024000       2181185536
vscr           0x0      0
vrsave         0x0      0
(gdb)disass $pc
Dump of assembler code for function pthread_mutex_lock:
0x0fe44d08 <pthread_mutex_lock+0>:      mflr    r0
0x0fe44d0c <pthread_mutex_lock+4>:      stwu    r1,-32(r1)
0x0fe44d10 <pthread_mutex_lock+8>:      stw     r31,28(r1)
0x0fe44d14 <pthread_mutex_lock+12>:     mr      r31,r3
0x0fe44d18 <pthread_mutex_lock+16>:     stw     r29,20(r1)
0x0fe44d1c <pthread_mutex_lock+20>:     stw     r0,36(r1)
0x0fe44d20 <pthread_mutex_lock+24>:     lwz     r0,12(r3)
0x0fe44d24 <pthread_mutex_lock+28>:     stw     r30,24(r1)
Comment 1 Jeremy Katz 2005-02-08 20:58:07 EST
Fixed this in CVS today and if it makes it through the buildsystem,
will be in rawhide tomorrow.

Note You need to log in before you can comment on or make changes to this bug.